Welcome to the ThemeMaker help file...

Welcome to the Cowan Creations Help file. This will guide you through the stages of creating a Windows Theme File.

Using this help system, you can find out the following :-

    • Learn how to create a Windows theme using the Step-by-step guide

    • Find out the answers to any problems you may find

    • Connect to the web to get the latest updates of ThemeMaker

Copyright © 1999 David Cowan. All rights reserved.


What is Cowan Creations' ThemeMaker

What is CC ThemeMaker ?

Cowan Creations(CC) ThemeMaker lets you create your very own Windows Themes for use in Microsoft’s Desktop Themes or in another Theme Installer.

You have full power over which options you wish to change, and everything is customizable. Adding screensavers, wallpaper, new icons, cursors and sounds. Change the current Windows colours and more!!


Creating your Theme

Here is a step-by-step guide on creating your very own theme. Click on one of the steps opposite.


Before you start....

A couple of things before you create your theme.

A theme file just tells Desktop Themes what to setup. A theme file does not include the Graphics, sounds, cursors, icons, etc. These are packaged along side the Theme file. This is because Windows needs to reference each file.

When you distribute your files and Theme file, they MUST go into the \Program Files\Plus!\Themes\ directory when installed. Microsoft’s Desktop Themes installer, best works if all files are in the above directory. NOTE: If a screensaver is included, then that MUST go into the Windows\System folder. The best way to do this is to copy all files to the Themes directory and then create your theme.

Wherever you load a file from, only the filename will be written to the file, and not the full path. This means it doesn’t matter where you load the files from to create your theme, as long as they end up in the \Program Files\Plus!\Themes\ directory when distributed.

In this release, ThemeMaker will now copy all chosen files to a directory in the ThemeMaker directory. This allows you to zip up all files, including the *.Theme file(which, by the way, is also created in the ThemeMaker directory). This makes it very simple to distrubute all files.

The next release will include the ability to automatically zip up all files without the use of Winzip or any other zipping utility.

You should not use images, sounds or anything in your Theme that is copyright to another individual or company. If you do, I cannot and will not be held responsible for any action that the owner of the copyrighted item takes.

Click a Step from the list opposite.


Step 1 - Wallpaper

Click on the WALLPAPER tab to display the Wallpaper options. To add a Wallpaper image, click LOAD and choose the image. You have a choice of JPG’s JPEG’s or Bitmaps. For JPG/JPEG’s to work, the Windows Active Desktop must be enabled.

When you load your wallpaper image, it will be displayed opposite and the filename will be in the text box.

In this release, you don’t have any more wallpaper options, but if there is need for any options, they will be added with the next release.

Previous Step
Index
Next Step


Step 2 - Desktop Icons

Click on the DESKTOP ICONS tab to alter the Desktop Icons selection. To change an icon, choose an item from the list then click on LOAD. Choose the icon you wish, and click LOAD. You will see a preview of the icon next to the text ‘Selected Icon’ and the filename will be in the text box(next to the Load button).

If you do not choose an icon, the default icon on the users system will be used.

Previous Step
Index
Next Step


Step 3 - Mouse Cursors

Click on the CURSORS tab to alter the selection of Mouse Cursors. To change a selection, choose an item from the list then click on LOAD and choose a cursor, then click OPEN. You will see a preview next to the text ‘Selected Cursor’ and the filename in the text box(next to the Load button)

Previous Step
Index
Next Step


Step 4 - Sounds

Click on the SOUNDS tab to alter the selection of Sounds. To change a selection, choose an item from the list then click on LOAD and choose a sound file(*.WAV), then click OPEN.

To listen to your selection, click on Play.

Any selection you don’t alter or choose, the Windows Default will be used instead.

Previous Step
Index
Next Step


Step 5 - Colour Schemes

Click on the COLOUR THEMES tab to alter the current Colour Scheme. To change a selection, choose an item from the list then click on COLOUR and choose a colour then click OK.

By default, all values are the current colour scheme on your Windows system. Any changes you haven’t made to the scheme, will be black.

Any selection you don’t alter or choose, the Windows Default will be used instead.

Previous Step
Index
Next Step


Step 6 - Screensaver

Click on the SAVER tab to add a Screensaver to your theme. Click on Load and choose a Saver then click OK.

Previous Step
Index
Next Step


Step 7 - Saving your Theme

Click on the MAIN tab to save your theme. Enter a name, preferably a descriptive name, like Star Wars The Phantom Menace Theme. Click on the OPTIONS menu and either choose 'Use no folder(no copy)' or 'Use Theme name as folder'. Below is a description of each :-

'Use no folder(no copy)' -- All selected files within the Theme will not be copied to the ThemeMaker directory and no directory will be created.

'Use Theme name as folder)' -- Opposite of above, a folder will be created in the ThemeMaker directory. The name of the folder will be the same as the Theme name. All selected files within the Theme will be copied to this directory.

Once you are happy with the theme you have created, click on SAVE.

Automattically, a contents file will be created(called Contents.html) and has all filenames which feature in your Theme.

Well done, you have now created a Theme.

Previous Step
Index
Not supported..yet..


Not currently supported...

Not supported in this release...

There is still a few things that I would like to add support for. Below is a list of not supported items.

Fonts - currently, there is no option to change the Windows font.

Icon Spacing - no supported as yet.

Startup/Shutdown screens - No truly supported by MS Desktop Themes, but will be supported in next release(of ThemeMaker)

Previewing your themes - no supported as yet, but will be in next release.

Compressing the Theme files - no supported as yet, but will be in next release.

Previous Step
Index
Next Step


Feedback

This section will give you details on how to contact the author for any problems, comments or suggestions you have, and notes on distributing this program. Please select a topic from the selection opposite.


Contact the author

How do I contact the Author

You have a few options to get in touch with me.

You can e-mail me at thememaker@cowan-creations.co.uk

or you can visit http://freespace.virgin.net/s.cowan/vbhowto and leave a message on the forum.


Distribution Notes

This program is distributed freely under the restriction that it may not be modified in any form without written permissions of myself. It may be freely distributed on any CD, website, FTP or newsgroup, but I would be grateful if you would let me know.

If you do put it on your web page, please e-mail me at thememaker@cowan-creations.co.uk, and I will give you a link on the site, in the ThemeMaker help file and also in the Links section of the program.


Troubleshooting

Minimum system requirements

Windows 95/98
1 MB Hard Drive Space
Visual Basic 4 runtime files

Problems

1. Error - 31037 loading from file

You need the VB4 runtime files. You can download them from Download.com..

ftp://sunsite.doc.ic.ac.uk/packages/simtelnet/win95/dll/vb40032a.zip

2. A required .DLL file, VB40032.DLL was not found

You need the VB runtime file(s). You can download the single file from

http://freespace.virgin.net/s.cowan/vbhowto/downloads/runtime_files/vbrun40032.zip

or the full package from Download.com...

ftp://sunsite.doc.ic.ac.uk/packages/simtelnet/win95/dll/vb40032a.zip

3. Can't load (or register) custom control: TABCTL32.ocx

You can download a version from

http://freespace.virgin.net/s.cowan/vbhowto/dlls/Tabctl32.zip

If you find any other errors, then please e-mail me at thememaker@cowan-creations.co.uk


 History

Here is the History information of CC ThemeMaker. Versions use the date they were compiled on - Day, Month, Year

Version 21.12.99

ThemeMaker now automatically creates a HTML contents file when the Theme is saved. This allows you to distribute it with your theme, edit it and include your own details and make it into a readme file. .Theme file is now created inside the folder containing all files. Some spelling mistakes fixed. Thanks to Tim for letting me know

Version 11.11.99

Added the ability to have all files in the created Theme to be copied to a folder in the ThemeMaker folder. If this option is chosen, the Theme has to be distributed in the folder format.

Updated this help file to the new Windows 98 HTML help file standard.

Version 10.10.99

Added a selection of links to web sites where you can have your themes published.

Version 25.09.99

Full version released with(hopefully) no problems.

Version 15.09.99

Fully compatible with Windows 9x - installed on a Windows95/98 machine with no Visual Basic installed and worked fine. Added an update option in the Help menu.

Version 12.09.99

Added support for Win98 gradient Titlebars. This only seems to work with Jonathon Potter’s Desktop Themes. If you know any other ‘Theme Installers’ that support this feature, please e-mail me at dcowan@lineone.net

Version 11.09.99

Added TabCtl32.ocx to the zip file. This file is required to run ThemeMaker. Thanks to Tommy k Johansson and Hakan Robertsson for the info.

Fixed a small error with the cursors. When you clicked onto another cursor, then clicked back onto one you had already set, you didn’t get a preview of the cursor.

Version 04.09.99

Fixed a small problem with using the created theme in Desktop Themes. If a colour, or pointer selection is not made, and the theme is saved, Desktop Themes will leave these out instead of using the Windows default.

Version 09.08.99

Added an option to play your sound selection.

Version 07.08.99

First version released.


Thanks to...

Here is a list of people I would like to thank, and without them, this application would never have been released.

Andy - For all the suggestions, especially adding the option to copy all chosen files to a folder.

Richard James and Simon Manco - Beta-Testers. Without them, I would not know if the program runs Ok.

Microsoft - Without them, there would be no Visual Basic, no Windows, no Dos,etc, and for having the great idea of creating Desktop Themes.

Download.com, Winfiles.com, SuperShareware.com, and others for allowing me to post ThemeMaker for others to download.

Jonathan Potter - a thanks goes to the author of Desktop Themes (http://www.lss.com.au/ for letting me see my program make Themes that work in his program as well. Also, giving people the opportunity to use Themes without buying the Plus! pack.


About DodgeSoft Productions

About Cowan Creations

Cowan Creations is DodgeSoft Productions but with a different name. Anyway, you can visit us on the WWW at

http://freespace.virgin.net/s.cowan/vbhowto/

You can find tutorials, and source code for learning Visual Basic, software made by DodgeSoft Productions, and KillieSoft, and links to other great sites.